MFH: r467246

Fix saltstack bootstrap renaming desired to be installed package from
swig -> swig30 since former package doesn't exist

PR:		226830
Submitted by:	garga
Approved by:	maintainer timeout (> 2 weeks)
Obtained from:	https://github.com/saltstack/salt-bootstrap/issues/1192
Sponsored by:	Rubicon communications, LLC (Netgate)
Approved by:	ports-secteam (delphij)
This commit is contained in:
Renato Botelho 2018-04-16 12:40:02 +00:00
parent f74213cdfe
commit 3e4e90ceb8
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/branches/2018Q2/; revision=467481
2 changed files with 15 additions and 1 deletions

View File

@ -3,7 +3,7 @@
PORTNAME= salt
PORTVERSION= 2017.7.4
PORTREVISION= 1
PORTREVISION= 2
CATEGORIES= sysutils python
MASTER_SITES= CHEESESHOP
PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}

View File

@ -0,0 +1,14 @@
--- salt/cloud/deploy/bootstrap-salt.sh.orig 2018-03-21 17:37:20 UTC
+++ salt/cloud/deploy/bootstrap-salt.sh
@@ -4885,9 +4885,9 @@ install_freebsd_9_stable_deps() {
__configure_freebsd_pkg_details || return 1
fi
- # Now install swig
+ # Now install swig30
# shellcheck disable=SC2086
- /usr/local/sbin/pkg install ${FROM_FREEBSD} -y swig || return 1
+ /usr/local/sbin/pkg install ${FROM_FREEBSD} -y swig30 || return 1
# YAML module is used for generating custom master/minion configs
# shellcheck disable=SC2086